
// Carote amare
// racconto-gioco (C) Andrea Angiolino e Domenico Di Giorgio
// versione software di Enrico Colombini
// (C) 2000 Andrea Angiolino, Domenico Di Giorgio ed Enrico Colombini
// distribuzione libera per uso non commerciale


// Questo file utilizza o estende Idra: le parti di programmazione HTML 
// e JavaScript qui contenute sono soggette alla medesima licenza GNU GPL
// di Idra stesso, vedi i file idra.js e Licenza.html per i dettagli.


// ===== Informazioni =======================================================


var Versione = 'v 1.0 - Marzo 2000'
var Copyright = "&copy; A.Angiolino, D.Di Giorgio, E.Colombini 2000"

// Mostra informazioni sul gioco

function Informazioni() {
  apriPagina('bgcolor="#ccffff", link="#ff0000"')
  testo("<center>&nbsp;<p>")
  titolo("Racconto-gioco: ")
  testo('<i>Andrea Angiolino (<a href="mailto:angiolillo@nexusgames.com">angiolillo@nexusgames.com</a>)</i> e <i>Domenico Di Giorgio(<a href=mailto:domedigi@tin.it>domedigi@tin.it</a>)</i><p>')
  titolo("Conversione per Idra e programmazione JavaScript")
  testo('<i>Enrico Colombini (<a href="mailto:erix@mclink.it">erix@mclink.it</a>)</i><p>')
  titolo("Collaudo: ")
  testo("<i>Monica Boogert, Gladys Boogert, Riccardo Carugati, Giorgio Colombini, Dimitrios Dautis, Lorenzo Machiavelli</i><p>")
  titolo("Copyright: ")
  testo('<i>"Carote amare" &copy; Andrea Angiolino e Domenico Di Giorgio, versione software &copy; 2000 Andrea Angiolino, Domenico Di Giorgio ed Enrico Colombini, la distribuzione &egrave; libera per usi non commerciali</i><p>')
  testo("&nbsp;<br>")
  rinvio("Continua", "ridisegna()")
  testo("</center>")
  chiudiPagina()
}


// ===== Funzioni chiamate dall'interprete ==================================


// Inizia una nuova lettura: azzera le variabili di gioco e va alla prima pagina

function Inizia() {
  v.uhu = 0
  v.ahi = 0
  v.sob = 0
  v.ohi = 0
  vai(Introduzione) //prima pagina
}


// Opzioni della pagina: usa un'immagine per tassellare

function OpzioniPagina(pag) {
  return 'background="sfondo.jpg"'
}


// All'inizio di ogni pagina: fa una riga di stacco

function Intestazione(pag) {
  testo("<br>")
}


// ===== Funzioni utili =====================================================

// Queste funzioni servono solo a risparmiare inutili ripetizioni, si
// potevano evitare ripetendo semplicemente le stesse righe nelle varie pagine


// Scrive due o tre rinvii separati da " o " e virgola e termina la frase con un 
// punto di domanda; i primi due sono obbligatori, il terzo e' opzionale

function Dubbio(rinvio1, effetto1, rinvio2, effetto2, rinvio3, effetto3) {
  rinvio(rinvio1, effetto1)
  if (rinvio3) { 
    testo(", ") } 
  else {
    testo(" o ")
  }
  rinvio(rinvio2, effetto2)
  if (rinvio3) { 
    testo(" o ")
    rinvio(rinvio3, effetto3)
  }
  testo("?")
}


// "The End" finale, colorato in verde se vince e' vera, altrimenti in rosso,
// se musica (opzionale) e' vera fa anche la 'musichetta'

function TheEnd(vince, musica) {
  testo('<p>&nbsp;<hr width="30%"><center><h1>')
  if (vince) { 
    testo('<font color="#009900">')
  } else {
    testo('<font color="#cc0000">')
  }
  testo("The End</font></h1></center>")
  testo('<hr width="30%">&nbsp;<p>')
  if (musica) {
    testo("Parappappappapp&agrave;, parappappappapp&agrave;... Questo &egrave; tutto, gente!")
  }
}


// === Pagine del racconto ==================================================


function Introduzione() {
  testo('&nbsp;<br><font size="+3"><center><b>Carote amare</b></center></font>')
  testo('<center><i>Il gusto di amare le carote</i></center><p>')
  testo("<center>racconto-gioco di Andrea Angiolino e Domenico Di Giorgio<br>programma di Enrico Colombini<p>&nbsp;<br></center>")
testo('Questo &egrave; un racconto-game in cui tu sei il protagonista: un coniglio dei cartoni animati in TV. La storia prender&agrave; la piega che tu preferisci.<p>Ci sono vari possibili finali: se la storia non ti soddisfa, riprova!<p>Se alla fine ti sei divertito e vuoi condividere avventure come questa con i tuoi amici, procurati <i>Toon - il gioco di ruolo dei cartoni animati</i> (<a href="http://www.nexusgames.com">ed. Nexus</a>), a cui questo racconto &egrave; direttamente ispirato.<p>Antologie tascabili con racconti-gioco degli stessi autori possono invece essere richieste all\'Ass. Cult. 990 (Via G. Galilei 5, Civitavecchia - 0766/542570). Ora basta chiacchiere: ciack, azione! E... buona fortuna!')
  continua(P1)
  testo('<hr width="100%">')
  testo('<font size="-1"><center>', Versione, ", &nbsp;", Copyright, "</center></font>")
}

function P1() {
  titolo("Che languorino!")
  testo("Sei l&igrave; che ti gingilli pensando a cosa sgranocchiare per pranzo... Carote, non c'&egrave; dubbio! Nient'altro &egrave; degno di un vero coniglio come te.<p>Ma le sole che crescono nei dintorni sono guardate a vista da Porko, un irascibile maiale armato di doppietta. Bah, cos'&egrave; la vita senza un pizzico di rischio? Decidi di tentare la sorte e di dirigerti verso la piantagione.<p>")
  Dubbio("Te ne vai bel bello lungo la strada", P8, "procedi quatto quatto per i prati, balzando di cespuglio in cespuglio", P25)
}

function P2() {
  titolo("Un astuto stratagemma")
  testo("Estrai una trombetta da una tasca e cominci a suonare con veemenza la sigla finale del vostro cartone animato, disegnando contemporaneamente con l'altra mano la scritta...")
  TheEnd(1)
  testo("sulla faccia di Porko. Il maiale, che non vedeva l'ora di fare una pausa, ti lascia campo libero e se ne va al bar.<p>Tu puoi ")
  rinvio("avventarti subito sulle carote", P21)
  testo(" o ")
  rinvio("schizzare alla tana a prendere il bulldozer", P38)
  testo(".")
}

function P3() {
  titolo("Bagno a stomaco pieno? Ahiahiahiahi!")
  testo("Ti getti sulle carote e inizi a divorarle: non resta pi&ugrave; un solo ortaggio nel giro di chilometri!<p>Ma ecco che torna Porko, sempre vestito da pompiere... Ti vede e gli fumano gli occhi per la rabbia. Vedendo il fumo si spaventa: gridando \"Alfuocalfuoco!\" afferra un idrante e inizia a schizzare acqua ghiacciata tutt'attorno.<p>Il tuo lauto pasto ti &egrave; fatale: ti becchi una bella congestione...")
  continua(P17)
}

function P4() {
  titolo("L'arte della fuga")
  testo("Hai pochi secondi per decidere una tattica.<p>Ti ficchi in testa un cappello da Napoleone, infili la mano nel panciotto (quale?) e... ")
  Dubbio("scappi a gambe levate", P20, "ti getti nei cespugli per far perdere le tue tracce e raggiungere non visto la piantagione dal retro", P40)
}

function P5() {
  titolo("Vendetta, tremenda vendetta!")
  testo("Sei nella tua tana coperto di bende, col sedere a bagno nell'acqua: cerchi di capire dove hai sbagliato e mediti sul piano necessario a donarti vendetta e carote.<p>I danni subiti nel corpo ti rendono un filino meno lucido, sicch&eacute; alla fine decidi di andare direttamente alla piantagione munito... ")
  Dubbio("di un adeguato camuffo", P33, "di pinzimonio per gustar meglio le carote", P16)
}

function P6() {
  titolo("Ma... dove sono?")
  testo("\"Awelwe! Aweewlee! Nowi Zweeelandaa!\" urli fingendo stupore e terrore e tremore e................. (inserite i termini che preferite nello spazio coi puntini: un gioco nel gioco senza sovrapprezzo alcuno! Wow! Multimediale! Interattivo!).<p>Il maiale, confuso dalle tue parole, borbotta solo un \"...sbagliato strada, caspero!\", e riparte rapidissimo per il giro del mondo alla ricerca di casa sua.<p>")
  Dubbio("Ti tuffi immediatamente verso le carote", P32, "ti avvicini quatto quatto alla piantagione dal retro", P40)
}

function P7() {
  titolo("Gentilezza interessata")
  testo("Con uno scarto improvviso tagli la strada al maiale, gli fai un bell'inchino e gli stendi davanti un tappeto rotondo e nero.<p>Porko &egrave; onorato per la tua galanteria: si dispone ad attraversare la piccola passatoia che gli proponi... e cade nel buco portatile (di questo si trattava, vecchia lenza!) che lo manda di botto a finire in Nuova Zelanda.<p>")
  Dubbio("Ti fiondi alla piantagione", P15, "ti rassetti con calma disponendoti alla scorpacciata", P22)
}

function P8() {
  titolo("Fare lo struzzo")
  testo("Procedi fischiettando verso la piantagione quando vedi Porko che viene in direzione opposta, probabilmente diretto verso il negozio di sementi gi&ugrave; in paese:<p>")
  Dubbio("ti nascondi dietro un albero e lo lasci passare", P29, "ficchi la testa nella sabbia convinto che, se tu non lo vedi, lui non ti vedr&agrave;", P34) 
}

function P9() {
  titolo("Bisogna prepararsi")
  testo("Un personaggio pieno di stile e inventiva come te non pu&ograve; certo presentarsi cos&igrave; al campo di carote della sua vita!<p>E quindi te ne torni un attimo alla tana profittandone per prepararti all'evento: secondo te &egrave; meglio ")
  Dubbio("munirsi di pinzimonio per gustar meglio le carote", P39, "di un vestito maori da cerimonia", P28)
}

function P10() {
  titolo("Finale violento")
  testo("Hanno ragione, certe associazioni insegnanti/genitori americane, a dire che i cartoni animati sono troppo violenti!<p>Strappi il fucile di mano al povero porcello e gli spari un centinaio di colpi. Mentre un maiale trasparente con camicione, alucce e arpa si stacca dal corpo esanime di Porko e si innalza verso il cielo, ti metti a sgranocchiare le carote frutto di cotanta scelleratezza.")
  TheEnd(1)
}

function P11() {
  titolo("Niente carote")
  testo("Dopo pochi secondi, dal bordo del baratro si affaccia Porko con la sua micidiale doppietta e ti spara a raffica.<p>Balzi su con tutte le tue forze e fuggi verso l'orizzonte, inseguito dal maiale sparacchiante, mentre il sole tramonta e su di voi campeggia la scritta...")
  TheEnd(0)
}

function P12() {
  titolo("Una splendida occasione")
  testo("Trovi Porko che prende secchi d'acqua dalla vasca della fontana e ce li rigetta dentro, come per spegnere un immaginario incendio che esiste solo nella sua testa.<p>&Egrave; il momento giusto per una bella scorpacciata di carote... ")
  Dubbio("ti precipiti al campo", P21, "lo raggiungi con circospezione dal retro, passando di nascosto tra cespugli e boschetti", P40)
}

function P13() {
  titolo("Banzai!")
  testo("Ti avvii sereno e fischiettante verso il campo delle carote, quando uno strano rumore ti fa trasalire: \"Ma... cos'&egrave; questo rombo? Sta per piovere? C'&egrave; un concerto degli AC/DC? Sta arrivando un jet? O il maiale sta scavandosi la strada dalla Nuova Zelanda?\"<p>Il missile rosa che schizza su dal terreno prova che, per quanto assurda, la quarta spiegazione &egrave; quella giusta: lo sbigottimento &egrave; tale che non riesci a scansarti quando inevitabilmente il tuo nemico ricade gi&ugrave;, sparando all'impazzata peggio del Barone Rosso.")
  v.uhu = 1
  continua(P5)
}

function P14() {
  titolo("In trappola")
  testo("L'accesso alla piantagione ti &egrave; impedito solo da bassi paletti che reggono un esile filo di ferro. Ma tu sai benissimo che &egrave; elettrificato!<p>Lo salti con un agile balzo e... precipiti in un'enorme buca coperta da un sottile strato di frasche. Mentre scruti il cielo cercando di capire come uscirne, senti sirene d'allarme, gong e campanelli...")
  continua(P11)
}

function P15() {
  titolo("Coniglio: 0 - Maiale: 1")
  testo("Sei gi&agrave; in posizione da corsa per partire verso le carote, quando il tuo antagonista raccoglie dal suolo della Nuova Zelanda il buco portatile, lo sposta un po' per poterti vedere meglio e ti spara col fucile caricato a sale.<p>Addolorato come non mai, ti rintani nel tuo pied-&agrave;-terre mentre il maiale torna alle carote.") 
  v.ahi = 1
  continua(P5)
}

function P16() {
  titolo("Pinzimonio fatale")
  testo("Dalla dispensa tiri fuori tutti gli ingredienti necessari per un buon pinzimonio: la tua testa (un po' confusa, invero) ti dice che la maniera migliore di comportarsi con delle carote &egrave; farle sentire importanti, corteggiandole con dolci parole e pinzimonio.<p>Punti direttamente al campo, passando sotto il naso del maiale armato di randello da 10 tonnellate: la vista di Porko ")
  Dubbio("ti fa recuperare un filino di lucidit&agrave;", P37, "no", P26)
}

function P17() {
  titolo("I pascoli del cielo")
  testo("L'ultima scena del cartone &egrave; commovente: dal tuo corpo esanime esce una figura azzurrina con la cetra in mano, che si libra verso il cielo, si ferma e dice: \"Beh, almeno nelle celesti praterie ci sono carote per tutti...\"<p>Dal bordo dell'inquadratura arrivano in un lampo diecine di maiali azzurrini con le alucce, armati di randelloni, che gridano in coro: \"Questo lo dici tu, coniglio!\"<p>Dopo di che, la popolare sigletta e la scritta...")
  TheEnd(0)
 testo("...indicano che la tua storia &egrave; FINITA!")
}

function P18() {
  titolo("Aaaaaaaaaaaargh!")
  testo("L'accesso alla piantagione ti &egrave; impedito solo da bassi paletti che reggono un esile filo di ferro. Niente di pi&ugrave; facile che appoggiarvi la mano sopra e balzare... a 10.000 metri di quota, spinto dai tremila megavolt del recinto elettrificato!<p>Sbatti la testa contro un jet di passaggio e precipiti al suolo, dove cadi su una delle mine antiuomo che Porko ha disseminato nei dintorni.<p>Rimbalzi per aria e ti sfracelli nuovamente al suolo, scavando una buca a forma di coniglio e facendo scattare diverse tagliole che ti afferrano mani, piedi e orecchie.")
  if (v.uhu || v.ahi || v.sob || v.ohi) {
    continua(P17)
  } else {
    v.sob = 1
    continua(P5)
  }
}

function P19() {
  titolo("Danza di guerra")
  testo("Il maiale ti osserva affascinato mentre balli, e ti scatta anche un bel po' di foto ricordo. Ma quando afferri una lancia e ti getti su di lui urlando, diventa bianco dalla paura e fugge a gambe levate oltre l'orizzonte...<p>Tu hai campo libero: ")
  Dubbio("ti precipiti verso il campo di carote", P21, "ti ci avvicini con circospezione, arrivandovi dal retro attraverso prati e boschetti", P40)
}

function P20() {
  titolo("Born to run")
  testo("Corri, corri e corri, cominci ad accumulare vantaggio sul maiale: noi tutti sappiamo quanto i conigli superino i suini in velocit&agrave;...")
  if (v.uhu || v.ahi || v.sob || v.ohi) {
    continua(P41)
  } else {
    v.ohi = 1
    continua(P42)
  }
}

function P21() {
  titolo("La grande abbuffata")
  testo("Che pacchia! Tiri fuori di tasca sale e pepe e ti metti a sgranocchiare tutte le carote, beato e contento... Quando il povero Porko se ne torna alla piantagione, c'&egrave; solo terra brulla per chilometri e chilometri!<p>Prima che lo sconsolato maiale riesca a estrarre il randello, ti stai gi&agrave; dileguando a tutta birra verso la tua tana e sopra le vostre teste campeggia un enorme...")
  TheEnd(1, 1)
}

function P22() {
  titolo("Un vero dandy")
  testo("Guardi il tuo pubblico con una significativa occhiata a sopracciglio alzato, ti pettini, riprendi il buco dal pavimento, lo ripieghi e te lo metti in tasca.<p>A questo punto ti avvii fischiettando felice verso... dove? ")
  Dubbio("La tua tana", P9, "la piantagione di carote", P13)
}

function P23() {
  titolo("Oooops! Travestimento sbagliato!")
  testo("Ti incammini con passo minaccioso verso la piantagione: neanche Mamma Coniglia ti riconoscerebbe... Sembri proprio un esattore!<p>Per questo Porko non ti fa nemmeno avvicinare: quando appari a due miglia di distanza afferra una mitragliatrice e ti spara impietosamente una dozzina di raffiche, sforacchiandoti tutto.")
  continua(P17)
}

function P24() {
  titolo("Il pompiere tontolone")
  testo("In un attimo, con un trucco da illusionista, scambi il tuo camuffo con i suoi abiti: Porko si trova vestito da pompiere.<p>Astuto com'&egrave;, scappa via di corsa appena tu gli gridi: \"Al fuooooooco! Al fuoooooooooco! Qualcuno ha dato fuoco all'acqua della fontana dall'altra parte della citt&agrave;! Al fuoooooooooooco!\".<p> A questo punto sei da solo: ")
  Dubbio("vai al campo", P3, "a cercare anche tu la fontana", P12)
}

function P25() {
  titolo("Quando il maiale &egrave; in vacanza")
  testo("Te ne vai cauto verso la piantagione, balzando di fratta in fratta.<p>All'improvviso vedi sul sentiero l'odiato Porko, il proprietario, diretto verso il negozio di sementi che sta gi&ugrave; in paese. ")
  Dubbio("Lo segui per tendergli una trappola", P7, "ti precipiti direttamente verso il campo incustodito", P31, "ti avvicini alla piantagione con cautela, arrivandovi dal retro attraverso prati e boschetti", P40)
}

function P26() {
  titolo("Lauto pasto")
  testo("Assolutamente tranquillo, passi oltre il posto di blocco e ti accomodi a sgranocchiar carote e pinzimonio: dopo pochi minuti il maiale si scuote dallo stupore e si volta dall'altra parte per tirare fuori la carabina delle grandi occasioni.<p>Tu ne approfitti e... ")
  Dubbio("scappi di corsa", P20, "ti scavi una buca e ti ci rintani", P11, "resti fermo l&igrave;", P36)
}

function P27() {
  titolo("Un particolare fatale")
  testo("Ti vesti di tutto punto da vigile del fuoco e saltelli svelto verso il campo. Quando il maiale ti si para innanzi col suo enorme fucile, lo guardi con sufficienza e gli dici: \"Incendio al campo di carote! Devo andare!\" Dopo di che, cerchi di passare.<p>Porko ti afferra per le orecchie e ti risponde: \"E queste, coniglio? Credevi che non ti avrei sgamato?\".<p>")
  Dubbio("Ti divincoli e provi a scappare", P20, "tenti un qualche trucco", P24)
}

function P28() {
  titolo("Il vestito giusto")
  testo("Quella del vestito maori &egrave; stata un'idea veramente azzeccata! Agghindato a festa arrivi al campo proprio mentre il maiale, sospinto dalla preoccupazione per le sue propriet&agrave;, fa irruzione sulla scena dopo una corsa di circa 20.000 chilometri.<p> \"E tu... Chi carchero sei! Dove mi trovo?\"<p>")
  Dubbio("Gli rispondi", P6, "inizi una danza di guerra che concludi attaccandolo", P19)
}

function P29() {
  titolo("Che fare?")
  testo("L'ignaro passante, per l'appunto, passa.<p>Ti accarezzi il mento meditando: sar&agrave; meglio ")
  Dubbio("precipitarsi di corsa verso il capo di carote incustodito", P31, "avvicinarsi con circospezione, arrivandovi dal retro attraverso prati e boschetti", P40)
}

function P30() {
  titolo("Piet&agrave;! Tengo famiglia!")
  testo("Tiri fuori il portafoglio da una tasca (che non so dove potesse essere, visto che hai su solo la tua pelliccia...) e gli sciorini davanti le foto di tutti i tuoi parenti, sperando di farlo piangere.<p>Inizi a raccontare storie tristissime di abbandoni, amori falliti e salm&igrave;... Porko comincia a cedere e una lagrimuccia gli cola dal viso alla canna del fucile.<p>")
  Dubbio("Provi a squagliartela", P4, "approfitti della sua vulnerabilit&agrave; per cercare di fregargli l'arma", P10)
}

function P31() {
  titolo("Un sibilo sospetto")
  testo("Ti metti in posizione da corsa e via, pi&ugrave; rapido del fulmine, verso il paradiso della carota: pregusti gi&agrave; i deliziosi ortaggi...<p>Ma come in ogni cartone animato, al tuo movimento repentino corrisponde un suono: swiiiiiiiiish!<p>Ci&ograve; desta l'attenzione del maiale, che decide di inseguirti e parte in quarta sparando all'impazzata contro di te; ")
  Dubbio("continui a fuggire", P20, "provi a tendergli un tranello", P7)
}

function P32() {
  titolo("Richiesta di informazioni")
  testo("Ti metti a divorare le carote pi&ugrave; vicine, quando Porko ti &egrave; di nuovo davanti. \"Schiusmi, dove is the alther emispheer?\", ti chiede in un inglese un po' zoppicante.<p>Poi nota la carota smozzicata che hai in mano e ti guarda insospettito.<p>")
  Dubbio("Fuggi a gambe levate prima che prenda il fucile", P20, "gli rispondi impassibile", P35)
}

function P33() {
  titolo("Il coniglio mascherato")
  testo("Dai un'occhiata nel baule dei vestiti. Non hai molto da metterti... ma c'&egrave; qualcosa di adatto tra i costumi dei passati carnevali.<p>Puoi scegliere tra ")
  rinvio("un travestimento da pompiere", P27)
  testo(" e uno da ")
  rinvio("agente delle tasse", P23)
  testo(".")
}

function P34() {
  titolo("Mi sorge un dubbio")
  testo("Ti chini a testa in gi&ugrave; e immergi il capo nella sabbia del sentiero. Mentre pensi a cosa accadr&agrave;, ti viene un dubbio... Non sei uno stupido struzzo, per cui sai benissimo che Porko &egrave; l&igrave; anche se non lo vedi.<p>E dunque anche Porko sa che sei l&igrave;, anche se non riesce a vederti! Infatti senti una raffica a mitraglia: &egrave; Porko che spara alla cieca tutt'attorno.<p>Tiri di corsa la testa fuori dalla sabbia e te lo trovi davanti, con la canna del fucile puntata su di te. ")
  Dubbio("Fuggi a gambe levate", P20, "provi a tendergli un tranello", P7)
}

function P35() {
  titolo("Indicazione inesatta")
  testo("Pieghi la carota a mo' di boomerang, la lanci in aria e la riafferri al volo. Poi indichi l'orizzonte: \"Awlawwaalwa\", gli spieghi.<p>Il povero maiale se ne va mogio mogio e tu puoi finalmente gettarti in pace sulle carote.<p>Che pacchia! Tiri fuori di tasca sale e pepe e ti metti a sgranocchiare beato e contento, mentre sulla tua testa campeggia un enorme...")
  TheEnd(1, 1)
}

function P36() {
  titolo("Booooooom!")
  testo("Il maiale ti &egrave; addosso con la carabina, ma tu hai un'illuminazione: tiri fuori di tasca un tappo di sughero e lo pianti nella canna.<p>Ti fai un po' pi&ugrave; in l&agrave; e ti turi le orecchie: Porko apre il fuoco e il fucile esplode.<p>Il rinculo lo fa volare oltre l'orizzonte e tu puoi finalmente gettarti sulle carote.")
  continua(P21)
}

function P37() {
  titolo("Puntate... Mirate... Fuoco!")
  testo("Il tuo peggior nemico non &egrave; Porko, ma la tua lucidit&agrave;: se fossi rimasto tranquillo e inconsapevole non ti troveresti come sei adesso, con lo sguardo terrorizzato a dire guardando il pubblico: \"Oh oh... Mi sa che non era una buona idea...\"<p>Porko prende attentamente la mira, nonostante abbia in effetti appoggiato la punta dell fucile direttamente contro il tuo capoccione. ")
  Dubbio("Provi un diversivo", P2, "tenti di commuoverlo", P30)
}

function P38() {
  titolo("&Egrave; tempo di distruzione")
  testo("Balzi sul bulldozer e marci a tutta birra sul campo. Devasti ogni cosa: di recinzione, baracca e piantagione fai un unico, enorme cumulo di macerie.<p>Poi ti ci siedi sopra e inizi a tirar fuori le succulente carote, sgranocchiandole una per una. Quando il povero Porko &egrave; di ritorno, non ha quasi nemeno pi&ugrave; la forza di estrarre il fucile!<p> Ti dilegui verso la tua tana, mentre sopra le vostre teste appare un enorme...")
  TheEnd(1, 1)
}

function P39() {
  titolo("Una canzone per te")
  testo("Dalla dispensa tiri fuori tutti gli ingredienti necessari per un buon pinzimonio: olio, sale, pepe... Ti annodi un tovagliolo al collo e parti fischiettando \"Gotta catch 'em all\" finch&eacute; arrivi al campo di carote.<p>Hai gi&agrave; sollevato la forchetta quando senti un rombo da motore turbo: ti giri e vieni travolto dal maiale, tornato a tempo di record dalla Nuova Zelanda, armato e pericoloso.<p>In preda al panico (Porko sembra uno Stuka impazzito) ")
  rinvio("scappi pi&ugrave; veloce che puoi", P20)
  testo(".")
}

function P40() {
  titolo("Arrivo, carotine!")
  testo("Ti avvicini quatto quatto al campo e gi&agrave; vedi i teneri ciuffetti delle carote che spuntano dal terreno.")
  continua(v.sob, P14, P18)
}

function P41() {
  titolo("Resta di stucco, &egrave; un maialtrucco")
  testo("Quando il distacco &egrave; tale da far uscire Porko dall'inquadratura, ti senti al sicuro e rallenti: ma ecco che il perfido maiale ti compare davanti e ti blocca.<p>\"Ehi, ma non vale! Ti avevo seminato!\" gli fai. \"Come hai fatto a superarmi senza che me ne accorgessi?\"<p>\"Sono passato fuori dal televisore!\", risponde, e comincia a randellarti impietosamente.")
  continua(P17)
}

function P42() {
  titolo("Rimbalzo sfortunato")
  testo("Ma all'improvviso alle tue spalle senti uno scoppio: ti volti e vedi Porko sparato verso di te a tutta birra dal cannone di un circo di passaggio!<p>Ti getti a terra, schivandolo: Porko va a finire contro una vicina parete di roccia, che crolla addosso ad entrambi. Ti fai largo tra i massi e te ne torni alla tana, ove ingessato e coperto di bende mediti vendetta.<p>Decidi infine per l'azione diretta: ti togli le fasciature e ti dirigi dritto dritto alla piantagione munito... ")
  Dubbio("di un adeguato camuffo", P33, "di pinzimonio per gustar meglio le carote", P16)
}

